#! /bin/bash

if [ "$(id -u)" != "0" ]; then
	echo "对不起，只有超级超级用户才能安装此程序！"
	exit 1
fi

echo "请确保已经按照linux-wiki.cn上”教育网直通车服务器一的连接配置方法“进行配置。否则本工具不起作用。"

PS3="请选择您的发行版："
select DISTR in Debian/Ubuntu Other
do
	case $DISTR in
		Debian/Ubuntu )
			install eduvip_debian /usr/sbin/eduvip
			break
			;;
		Other )
			install eduvip_fedora /usr/sbin/eduvip
			break
			;;
		*)
			echo "请输入正确的选择！"
			;;
	esac
done
install -b directip.conf /etc/directip.conf
echo "安装完毕。以root用户执行eduvip即可连接、断开直通车。详细说明见："
